Vsan Mass Collector Vsan Retrieve Properties

Vsan Mass Collector Vsan Retrieve Properties
Retrieve properties for an object type with specs.

Retrieve properties for an object type with specs.

Required privileges: Global.Settings

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/vsan/VsanMassCollector/{moId}/VsanRetrieveProperties
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case VsanMassCollector/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
VsanRetrievePropertiesRequestType of type(s) application/json
Required

Show optional properties

{
    "massCollectorSpecs": [
        {
            "properties": [
                {}
            ]
        }
    ]
}
{
    "massCollectorSpecs": [
        {
            "_typeName": "string",
            "objects": [
                {
                    "_typeName": "string",
                    "type": "string",
                    "value": "string"
                }
            ],
            "objectCollection": "string",
            "properties": [
                "string"
            ],
            "propertiesParams": [
                {
                    "_typeName": "string",
                    "propertyName": "string",
                    "propertyParams": [
                        {
                            "_typeName": "string",
                            "key": "string",
                            "value": {
                                "_typeName": "string"
                            }
                        }
                    ]
                }
            ],
            "constraint": {
                "_typeName": "string",
                "targetType": "string"
            }
        }
    ]
}
array of object
massCollectorSpecs
Required

specify a list of objects, properties, constraints for retrieve.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "_typeName": "string",
        "obj": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "propSet": [
            {
                "_typeName": "string",
                "name": "string",
                "val": {
                    "_typeName": "string"
                }
            }
        ],
        "missingSet": [
            {
                "_typeName": "string",
                "path": "string",
                "fault": {
                    "_typeName": "string",
                    "faultCause": {
                        "_typeName": "string",
                        "faultCause": {
                            "_typeName": "string",
                            "faultCause": "MethodFault Object",
                            "faultMessage": [
                                {
                                    "_typeName": "string",
                                    "key": "string",
                                    "arg": [
                                        {
                                            "_typeName": "string",
                                            "key": "string",
                                            "value": {
                                                "_typeName": "string"
                                            }
                                        }
                                    ],
                                    "message": "string"
                                }
                            ]
                        },
                        "faultMessage": [
                            {
                                "_typeName": "string",
                                "key": "string",
                                "arg": [
                                    {
                                        "_typeName": "string",
                                        "key": "string",
                                        "value": {
                                            "_typeName": "string"
                                        }
                                    }
                                ],
                                "message": "string"
                            }
                        ]
                    },
                    "faultMessage": [
                        {
                            "_typeName": "string",
                            "key": "string",
                            "arg": [
                                {
                                    "_typeName": "string",
                                    "key": "string",
                                    "value": {
                                        "_typeName": "string"
                                    }
                                }
                            ],
                            "message": "string"
                        }
                    ]
                }
            }
        ]
    }
]
array of object
Optional

The ObjectContent data object type contains the contents retrieved for a single managed object.


500

Failure

Returns MethodFault of type(s) application/json
This response body class contains all of the following: Any
"MethodFault Object"
faultCause
Optional

Fault which is the cause of this fault.

array of object
faultMessage
Optional

Message which has details about the error Message can also contain a key to message catalog which can be used to generate better localized messages.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"massCollectorSpecs":["object"]}' https://{api_host}/sdk/vim25/{release}/vsan/VsanMassCollector/{moId}/VsanRetrieveProperties